Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: qmail

Interfaces Templates

### Description:

Qmail Mail Server.

### Interfaces:

qmail_domtrans_inject( domain )

##### Summary

Transition to qmail_inject_t.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

qmail_domtrans_queue( domain )

##### Summary

Transition to qmail_queue_t.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

qmail_read_config( domain )

##### Summary

Read qmail configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

qmail_smtpd_service_domain( domain , entrypoint )

##### Summary

Define the specified domain as a qmail-smtp service.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access
entrypoint | The type associated with the process program.

Return

### Templates:

qmail_child_domain_template( child_prefix , parent_domain )

##### Summary

Template for qmail parent/sub-domain pairs.

##### Parameters

Parameter: | Description:
--- | ---
child_prefix | The prefix of the child domain.
parent_domain | The name of the parent domain.

Return